LibreOffice: SymbolDescriptor Struct Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
SymbolDescriptor Struct Referencepublished

## Public Attributes
string | sName
| The name of the symbol. More...
string | sExportName
| The export name of the symbol. More...
string | sSymbolSet
| Specifies the name of the symbol set to which this symbol belongs. More...
long | nCharacter
| Specifies the Unicode character of the symbol. More...
string | sFontName
| Specifies the exact name of the font ("Arial", "Courier", etc.). More...
short | nCharSet
| Specifies the character set which is supported by the font. More...
short | nFamily
| Specifies the general style of the font. More...
short | nPitch
| Specifies the pitch of the font. More...
short | nWeight
| Specifies the thickness of the line. More...
short | nItalic
| Specifies if the font is italic. More...

## Detailed Description

Deprecated:
  draft
  - nWeight should be changed to float as in FontWeight.idl
  - nItalic probably needs to have FontItalic extended by the two extra defines REVERSE_* listed in FontSlant.idl
  - nCharSet should have the CharSet.idl extended by the new defines from rtl/textenc.h

## Member Data Documentation

## ◆ nCharacter

long nCharacter

Specifies the Unicode character of the symbol.

## ◆ nCharSet

short nCharSet

Specifies the character set which is supported by the font.

See also
  com::sun::star::awt::CharSet

## ◆ nFamily

short nFamily

Specifies the general style of the font.

See also
  com::sun::star::awt::FontFamily

## ◆ nItalic

short nItalic

Specifies if the font is italic.

See also
  com::sun::star::awt::FontSlant

The values com::sun::star::awt::FontSlant::REVERSE_OBLIQUE and com::sun::star::awt::FontSlant::REVERSE_ITALIC may not be used.

## ◆ nPitch

short nPitch

Specifies the pitch of the font.

See also
  com::sun::star::awt::FontPitch

## ◆ nWeight

short nWeight

Specifies the thickness of the line.

See also
  com::sun::star::awt::FontWeight

The allowed integer values correspond as follows: 0 : com::sun::star::awt::FontWeight::DONTKNOW 1 : com::sun::star::awt::FontWeight::THIN 2 : com::sun::star::awt::FontWeight::ULTRALIGHT 3 : com::sun::star::awt::FontWeight::LIGHT 4 : com::sun::star::awt::FontWeight::SEMILIGHT 5 : com::sun::star::awt::FontWeight::NORMAL 7 : com::sun::star::awt::FontWeight::SEMIBOLD 8 : com::sun::star::awt::FontWeight::BOLD 9 : com::sun::star::awt::FontWeight::ULTRABOLD 10 : com::sun::star::awt::FontWeight::BLACK

## ◆ sExportName

string sExportName

The export name of the symbol.

## ◆ sFontName

string sFontName

Specifies the exact name of the font ("Arial", "Courier", etc.).

## ◆ sName

string sName

The name of the symbol.

## ◆ sSymbolSet

string sSymbolSet

Specifies the name of the symbol set to which this symbol belongs.

The documentation for this struct was generated from the following file:

- com/sun/star/formula/SymbolDescriptor.idl